Bug 16799 - kudzu: confused by nic swap (ISA -> PCI -> ISA)
kudzu: confused by nic swap (ISA -> PCI -> ISA)
Product: Red Hat Linux
Classification: Retired
Component: kudzu (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Depends On:
  Show dependency treegraph
Reported: 2000-08-23 12:25 EDT by giulioo
Modified: 2014-03-16 22:16 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-08-23 12:25:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description giulioo 2000-08-23 12:25:32 EDT
rc1 + kudzu-0.70-1

I installed rc1 on a system with 3c509, so that I had
alias eth0 3c509 
in modules.conf

This nic, being ISA, was not in hwconf, so kudzu did not know it.

Took the HD out and put into a system with a 10/100 pci card 
(DLink/Macronix) that need tulip module.

Kudzu said I had a new hardware (the new nic) and if I wanted to configure 
In an ideal world kudzu would have asked me If I had replaced the card, so 
that it would have already known the ip address stuff; I understand this 
is due to 3c509 being ISA, maybe it could look at /etc/modules.conf?

Configured it (gave same ip address of the 3c509).
- added "alias eth1 tulip" to modules.conf
- setup ifcfg-eth1
- updated hwconf

Now (no network modules loaded):
- network start -> eth0 failed, eth1 failed, loaded tulip
- network stop
- network start (tulip already loaded) -> eth0 OK, eth1 failed

The 1st "network start" loads the tulip module, and fails, the 2nd one 
uses the tulip loaded by the 1st.
A normal boot does not bring the network up properly.

So now, even if I have "alias eth1 tulip" in modules.conf, I have 
networking up with the tulip card being recognized as eth0 (ifconfig eth0 
shows the pci card).

Then I took the HD out, and re-installed on the original system. kudzu 
says "do you want to remove the settings for macronix"?
I say yes. It removes it from hwconf, but
alias eth1 tulip
ifcfg-eth1 (onboot=yes)
are still there, so that I have a "failed" on boot for eth1 (the 3c509 
comes up ok, though).
Comment 1 giulioo 2001-08-10 06:57:31 EDT
Ok, this is a very weird case, and difficult to re-test in new releases (even 
for me) so I'm closing this.

Note You need to log in before you can comment on or make changes to this bug.